Create a new account
Create a new account under a specific Non Custodial Wallet
POST
/
ncw
/
wallets
/
{walletId}
/
accounts
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletAccount>> = fireblocks.embeddedWallets.createEmbeddedWalletAccount(embeddedWalletsApiCreateEmbeddedWalletAccountRequest);CompletableFuture<ApiResponse<EmbeddedWalletAccount>> response = fireblocks.embeddedWallets().createEmbeddedWalletAccount(walletId, idempotencyKey);response = fireblocks.embedded_wallets.create_embedded_wallet_account(wallet_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accountsconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "0",
"walletId": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Wallet Id
Example:
"550e8400-e29b-41d4-a716-446655440000"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletAccount>> = fireblocks.embeddedWallets.createEmbeddedWalletAccount(embeddedWalletsApiCreateEmbeddedWalletAccountRequest);CompletableFuture<ApiResponse<EmbeddedWalletAccount>> response = fireblocks.embeddedWallets().createEmbeddedWalletAccount(walletId, idempotencyKey);response = fireblocks.embedded_wallets.create_embedded_wallet_account(wallet_id, idempotency_key);